
Figure - Bug #115365
测试 Test-ST # 113421 (New): V4.0功能与专项测试

【BSP】【EVT2】【ST】【DTC】MCU低压时error日志显示send finish high voltage protect
2023-01-16 18:46 - 移动测试一组_CDTS 刘强

Status: CLOSED Start date: 2023-01-16

Priority: Normal Due date: 2023-01-19

Assignee: 移动测试一组_CDTS 刘强 % Done: 100%

Category: CD-FW Estimated time: 0.00 hour

Target version:

Need_Info: -- Found Version: FlatBuild_HH_VX1_MCE_FSE.M.D.userdebug.01.00.X101.202301150351

Resolution: FIXED Degrated: --

Severity: Normal Verified Version:

Reproducibility: Every time Fixed Version:

Test Type: ST Root cause: 未添加DTC日志关键字

Description

【前提条件】

使用稳压电源进线供电

【测试步骤】

1. 烧写正常版本后开机

2. adb logcat | grep 'ProtectUartService'

3. 调整供电电压8.5-18之间

【预期结果】

2 高压和低压应该区分

【实际结果】

2 高压、低压显示一样的信息

liuqiang0703@xp027325 ~

λ adb logcat | grep 'ProtectUartService' 低压

01-15 01:58:12.357  2462  2514 D ProtectUartService: received RegisterListener token:LAUNCHER_VOLTAGE_PROTECT

01-15 01:58:14.776  2462  2570 D ProtectUartService: send mpu boot completed res=0

01-15 02:08:24.854  2462  2575 D ProtectUartService: received high voltage warning

01-15 02:08:24.916  2462  2570 D ProtectUartService: send finish high voltage protect res=0

liuqiang0703@xp027325 ~

λ adb logcat | grep 'ProtectUartService' 高压

01-15 01:58:12.790  2474  2499 D ProtectUartService: received RegisterListener token:LAUNCHER_VOLTAGE_PROTECT

01-15 01:58:15.888  2474  2547 D ProtectUartService: send mpu boot completed res=0

01-15 01:59:55.185  2474  2564 D ProtectUartService: received high voltage warning

01-15 01:59:55.271  2474  2547 D ProtectUartService: send finish high voltage protect res=0

History

#1 - 2023-01-17 11:01 - CD TPM-王祥林

- Due date set to 2023-01-19

#2 - 2023-01-18 13:56 - CD TPM-王祥林

- Status changed from New to RESOLVED

- Root cause set to 未添加DTC日志关键字
https://dev.thundercomm.com/gerrit/c/general/platform/vendor/thundercomm/apps/TCService/+/177091

#3 - 2023-01-18 14:11 - CD TPM-王祥林

刘强

根据需求文档里规定，MCU发的消息不区分过压和欠压，所以日志上目前不需要区分低压和高压，统一显示为如下电压警告的日志。

DTC_MCU: received voltage warning

#4 - 2023-01-18 14:12 - CD TPM-王祥林

- Assignee changed from CD TPM-王祥林 to 移动测试一组_CDTS 刘强

- % Done changed from 0 to 100

#5 - 2023-01-18 14:48 - CD TPM-王祥林

- Resolution changed from -- to FIXED

#6 - 2023-01-31 14:53 - 移动测试一组_CDTS 刘强

- Status changed from RESOLVED to VERIFIED

验证版本：FlatBuild_HH_VX1_MCE_FSE.M.R.user.01.00.0070.X101

验证结果：01-31 02:20:44.608  2828  2992 D ProtectUartService: DTC_MCU: received voltage warning

#7 - 2023-01-31 14:54 - 移动测试一组_CDTS 刘强

- Status changed from VERIFIED to CLOSED
https://dev.thundercomm.com/gerrit/c/general/platform/vendor/thundercomm/apps/TCService/+/177091

